%Brute force optimization
clc
clear
close all
tic

%Inlet mass flow [Kg mol/h]
Flowin1=12000; 
Flowin2=6000;
Flowin3=4000;
Flowin4=14000;

z1 = [2.071 59.58 11.40 7.984 0.784 2.193 0.358 0.412 0.218 15]; %Fluid 1
z2 = [1.706 49.06 9.390 6.577 0.646 1.806 0.295 0.340 0.180 30]; %Fluid 2
z3 = [1.341 38.55 7.377 5.167 0.507 1.419 0.232 0.266 0.141 45]; %Fluid 3 
z4 = [1.832 61.87 12.74 7.053 0.693 1.940 0.316 0.364 0.192 13]; %Fluid 4

z=z1
Flowin=Flowin1;

P1=36*10^5;
P2=12*10^5;
Nc=[0.9:0.00075:1.05];
PrC4=[4:0.04:9];
N=size(P1,2)*size(P2,2)*size(Nc,2)*size(PrC4,2);


Profit2=0;
incom2=0;
Expenses2=2;
Nc2=0.0;
PrC42=0,
for k=1:size(Nc,2)
    [incom,mvvec,Fvvec,yvec]=Separators(P1,P2,z,Flowin);

    for l=1:size(PrC4,2)
        [Expenses,U1,U2,PoutC2,PrC2,PrC3,nonco]=compressors(P1,P2,Nc(k),PrC4(l),mvvec,Fvvec,yvec)
        if U1<=1 && U1>=0 && U2<=1  && U2>=0 && PrC2>2 && PrC3>2 && PoutC2>148*10^5 && nonco<0  
            Profit=incom-Expenses;
        else
            Profit=0;
        end

        if Profit>Profit2
            Profit2=Profit
            Expenses2=Expenses;
            incom2=incom;
            Nc2=Nc(k);
            PrC42=PrC4(l);
        end
    end
end

Setpoint_old=[P1,P2,Nc2,PrC42,incom2,Expenses2,Profit2];

[bps,mC2,mC3,mC4]=main2(Setpoint_old(1),Setpoint_old(2),Setpoint_old(3),Setpoint_old(4),z,Flowin)

toc
