%Plot Compressor characteristics 
clc
close all
clear

open('PrecC2.fig')
a=get(gca,'Children')
openfig('PrecC3.fig')
b=get(gca,'Children')

open('PowC2.fig')
c=get(gca,'Children')
openfig('PowC3.fig')
d=get(gca,'Children')

figure(5)
subplot(2,2,1)
copyobj(a,gca)
xlabel('Flow coefficient'),ylabel('Pressure coeffcient'),title('Compressor C2')
axis([1.2,2.2,2,5])
grid
subplot(2,2,2)
copyobj(b,gca)
xlabel('Flow coefficient'),ylabel('Pressure coeffcient'),title('Compressor C3')
grid
axis([0.55,0.951,1.5,4.5])

subplot(2,2,3)
copyobj(c,gca)
xlabel('Flow coefficient'),ylabel('Power coeffcient')
axis([1.2,2.2,0.87,1.13])
grid
subplot(2,2,4)
copyobj(d,gca)
xlabel('Flow coefficient'),ylabel('Power coeffcient')
grid
axis([0.55,0.951,0.42,0.505])